'use strict';

const React = require('react');

const cloudServices = {
  cta: {
    header: 'Try It Now',
    links: [{
      text: 'MongoDB 3.4',
      href: 'https://www.mongodb.com/mongodb-3.4?jmp=docs'
    }, {
      text: 'Download Center',
      href: 'https://www.mongodb.com/download-center?jmp=docs'
    }]
  },
  linkLists: [[{ href: 'https://docs.cloud.mongodb.com/', text: 'Cloud Manager', bold: true }, { href: 'https://docs.opsmanager.mongodb.com/current', text: 'Ops Manager', bold: true }]]
};

module.exports = {
  downloadJmpValue: 'docs',
  logoUrl: 'https://webassets.mongodb.com/_com_assets/global/mongodb-logo-white.png',
  logoLink: 'https://docs.mongodb.com',
  tagline: 'Documentation',
  topSections: [{
    text: 'Company',
    href: 'https://mongodb.com'
  }, {
    text: 'Open Source',
    href: 'https://www.mongodb.com/community'
  }, {
    text: 'University',
    href: 'https://university.mongodb.com'
  }],
  sections: [{
    text: 'Server',
    href: 'https://docs.mongodb.com/manual',
    isLink: true
  }, {
    text: 'Drivers',
    href: 'https://docs.mongodb.com/ecosystem/drivers/',
    isLink: true
  }, {
    text: 'Cloud Services'
  }, {
    text: 'Compass',
    href: 'https://docs.mongodb.com/compass',
    isLink: true
  }, {
    text: 'BI Connector',
    href: 'https://docs.mongodb.com/bi-connector',
    isLink: true
  }],
  subsections: [React.createElement('div', null), React.createElement('div', null), cloudServices, React.createElement('div', null), React.createElement('div', null)]
};