'use strict';

const React = require('react');

function NavCTA(props) {
  return React.createElement(
    'div',
    { className: `nav-cta ${props.first ? 'nav-cta--first' : ''} flex flex--wrap flex--center-all` },
    React.createElement(
      'h2',
      { className: 'nav-cta__header' },
      props.header
    ),
    React.createElement(
      'ul',
      { style: { width: '100%', padding: 0 } },
      props.links.map(renderLink)
    )
  );
}

function renderLink(link, i) {
  return React.createElement(
    'a',
    {
      key: i,
      className: 'nav-cta__a',
      href: link.href },
    React.createElement(
      'li',
      null,
      React.createElement(
        'strong',
        null,
        link.text
      )
    )
  );
}

const { bool, string, shape, arrayOf } = React.PropTypes;

NavCTA.propTypes = {
  first: bool,
  header: string.isRequired,
  links: arrayOf(shape({
    href: string.isRequired,
    text: string.isRequired
  }))
};

module.exports = NavCTA;