'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const React = require('react');
const NavCTA = require('../nav-cta');

function Link(props) {
  const content = props.bold || props.link ? React.createElement(
    'strong',
    null,
    props.text
  ) : props.text;

  if (!props.href) {
    return React.createElement(
      'li',
      { className: props.className },
      content
    );
  }

  return React.createElement(
    'a',
    {
      style: props.style,
      href: props.href,
      className: props.className,
      target: props.newTab ? '_blank' : '_self' },
    React.createElement(
      'li',
      null,
      content
    )
  );
}

function Section(props) {
  return React.createElement(
    'div',
    { className: 'nav-panel-bottom__section flex flex--space-between flex--wrap' },
    props.cta && React.createElement(NavCTA, _extends({ first: props.count === 0 }, props.cta)),
    (props.midSection.link ? [[props.midSection]] : []).concat(props.linkLists).map(function (links, i) {
      return React.createElement(
        'ul',
        { key: i },
        links.map(function (link, j) {
          return React.createElement(Link, _extends({ key: `${i}.${j}` }, link, { newTab: props.newTab }));
        })
      );
    })
  );
}

Section.propTypes = {
  linkLists: React.PropTypes.array,
  newTab: React.PropTypes.bool,
  cta: React.PropTypes.any,
  midSection: React.PropTypes.object,
  count: React.PropTypes.number
};

Section.defaultProps = {
  linkLists: []
};

module.exports = Section;