'use strict';

const React = require('react');

function Section(props) {
  return React.createElement(
    'li',
    { className: props.className },
    React.createElement(
      'a',
      {
        className: 'font--white',
        href: props.href,
        onClick: !props.isLink && props.handler },
      props.text,
      props.extraText && React.createElement(
        'span',
        { className: 'extra-text' },
        props.extraText
      )
    )
  );
}

const { string, bool, func } = React.PropTypes;

Section.propTypes = {
  className: string,
  href: string,
  text: string,
  extraText: string,
  isLink: bool,
  handler: func
};

module.exports = Section;