const React = require('react')

function NavCTA (props) {
  return (
    <div className={`nav-cta ${
      props.first ? 'nav-cta--first' : ''
    } flex flex--wrap flex--center-all`}>
      <h2 className='nav-cta__header'>{ props.header }</h2>
      <ul style={{ width: '100%', padding: 0 }}>
        {props.links.map(renderLink)}
      </ul>
    </div>
  )
}

function renderLink (link, i) {
  return (
    <a
      key={i}
      className='nav-cta__a'
      href={link.href}>
      <li><strong>{ link.text }</strong></li>
    </a>
  )
}

const { bool, string, shape, arrayOf } = React.PropTypes

NavCTA.propTypes = {
  first: bool,
  header: string.isRequired,
  links: arrayOf(shape({
    href: string.isRequired,
    text: string.isRequired
  }))
}

module.exports = NavCTA
