const React = require('react')
const NavCTA = require('../nav-cta')

function Link (props) {
  const content = props.bold || props.link
    ? <strong>{ props.text }</strong>
    : props.text

  if (!props.href) {
    return (
      <li className={props.className}>{content}</li>
    )
  }

  return (
    <a
      style={props.style}
      href={props.href}
      className={props.className}
      target={props.newTab ? '_blank' : '_self'}>
      <li>{content}</li>
    </a>
  )
}

function Section (props) {
  return (
    <div className='nav-panel-bottom__section flex flex--space-between flex--wrap'>
      {props.cta &&
      <NavCTA first={props.count === 0} {...props.cta} />}

      {((props.midSection.link ? [[props.midSection]] : [])
        .concat(props.linkLists))
        .map(function (links, i) {
          return (
            <ul key={i}>
              {links.map(function (link, j) {
                return <Link key={`${i}.${j}`} {...link} newTab={props.newTab} />
              })}
            </ul>
          )
        })
      }
    </div>
  )
}

Section.propTypes = {
  linkLists: React.PropTypes.array,
  newTab: React.PropTypes.bool,
  cta: React.PropTypes.any,
  midSection: React.PropTypes.object,
  count: React.PropTypes.number
}

Section.defaultProps = {
  linkLists: []
}

module.exports = Section
