const React = require('react')

function Section (props) {
  return (
    <li className={props.className}>
      <a
        className='font--white'
        href={props.href}
        onClick={!props.isLink && props.handler}>
        { props.text }
        { props.extraText &&
          <span className='extra-text'>{ props.extraText }</span> }
      </a>
    </li>
  )
}

const { string, bool, func } = React.PropTypes

Section.propTypes = {
  className: string,
  href: string,
  text: string,
  extraText: string,
  isLink: bool,
  handler: func
}

module.exports = Section
